select a.ACCOUNTNAME as ACCOUNTNAME, c.CURRENCY_SYMBOL, a. Status
, a.INITIALBAL + total(t.T5) as A11
, a.INITIALBAL + total(t.T5) as A10
, a.INITIALBAL + total(t.T5) as A9
, a.INITIALBAL + total(t.T5) as A8
, a.INITIALBAL + total(t.T5) as A7
, a.INITIALBAL + total(t.T5) as A6
, a.INITIALBAL + total(t.T5) as A5
, a.INITIALBAL + total(t.T4) as A4
, a.INITIALBAL + total(t.T3) as A3
, a.INITIALBAL + total(t.T2) as A2
, a.INITIALBAL + total(t.T1) as A1
, a.INITIALBAL + total(t.T0) as A0
from (
select ACCOUNTID, TRANSDATE, STATUS
, case when TRANSDATE < date('now', 'start of month', '+1 months', '-1 days') then TRANSAMOUNT else 0 end as T0
, case when TRANSDATE < date('now', 'start of month', '-0 months',  '-1 days') then TRANSAMOUNT else 0 end as T1
, case when TRANSDATE < date('now', 'start of month', '-1 months',  '-1 days') then TRANSAMOUNT else 0 end as T2
, case when TRANSDATE < date('now', 'start of month', '-2 months',  '-1 days') then TRANSAMOUNT else 0 end as T3
, case when TRANSDATE < date('now', 'start of month', '-3 months',  '-1 days') then TRANSAMOUNT else 0 end as T4
, case when TRANSDATE < date('now', 'start of month', '-4 months',  '-1 days') then TRANSAMOUNT else 0 end as T5
, case when TRANSDATE < date('now', 'start of month', '-5 months',  '-1 days') then TRANSAMOUNT else 0 end as T6
, case when TRANSDATE < date('now', 'start of month', '-6 months',  '-1 days') then TRANSAMOUNT else 0 end as T7
, case when TRANSDATE < date('now', 'start of month', '-7 months',  '-1 days') then TRANSAMOUNT else 0 end as T8
, case when TRANSDATE < date('now', 'start of month', '-8 months',  '-1 days') then TRANSAMOUNT else 0 end as T9
, case when TRANSDATE < date('now', 'start of month', '-9 months',  '-1 days') then TRANSAMOUNT else 0 end as T10
, case when TRANSDATE < date('now', 'start of month', '-10 months',  '-1 days') then TRANSAMOUNT else 0 end as T11
from(
select ACCOUNTID, TRANSDATE, STATUS, 
(case when TRANSCODE='Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) as TRANSAMOUNT
from CHECKINGACCOUNT_V1
union all
select TOACCOUNTID, TRANSDATE, STATUS, TOTRANSAMOUNT
from CHECKINGACCOUNT_V1
where TRANSCODE='Transfer') ) as t
inner join ACCOUNTLIST_V1 as a on a.ACCOUNTID=t.ACCOUNTID
inner join CURRENCYFORMATS_V1 as c on a.CURRENCYID=c.CURRENCYID
where a.Status='Open'
and t.STATUS<>'V'
--and a.accountname like 'Bank_1%'
group by a.ACCOUNTID
order by ACCOUNTNAME;